Subject: bug#68606: closed (Re: [PATCH v2 3/3] gnu: patchelf: Update to 0.18.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 26 Mar 2025 08:25:02 +0000

Your bug report

#68606: [PATCH 0/2] Update GDAL and build Java bindings.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68606: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68606
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v2 3/3] gnu: patchelf: Update to 0.18.0.
From: Andreas Enge <[email-masked]>
To: Roman Scherer <[email-masked]>
Cc: [email-masked], Sharlatan Hellseher <[email-masked]>
Date: Wed, 26 Mar 2025 09:24:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Wed, Mar 26, 2025 at 08:45:45AM +0100 schrieb Roman Scherer:
> Ok, then let's close it for now. I don't have a gdal use case at the moment.

Done!

Andreas

Subject: [PATCH 0/2] Update GDAL and build Java bindings.
From: Roman Scherer <[email-masked]>
To: [email-masked]
Cc: Roman Scherer <[email-masked]>
Date: Sat, 20 Jan 2024 12:29:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

this patch series updates GDAL to v3.8.3 and builds the Java bindings.

While updating GDL I run into issues with the validate-runpath phase. I could
not get it passing by tweaking the cmake build flags. For some reason the
Pyhton bindings did not pick up the right runtime path and the
validate-runpath phase failed. After looking around a bit I saw this can be
manually fixed with patchelf. I tested the Python and Java bindings by
importing GDAL and registering all drivers.

I also had to remove the deletion of frmts/zlib since the cmake build file
adds a library under that path. Tweaking the build file to remove adding the
library caused the build to fail.

Could you please review the patche series?

Thanks, Roman.

Roman Scherer (2):
  gnu: gdal: Update to 3.8.3.
  gnu: gdal: Build Java bindings.

 gnu/packages/geo.scm | 44 +++++++++++++++++++++++++++++++++++---------
 1 file changed, 35 insertions(+), 9 deletions(-)

base-commit: 0eadd486484fcf9a234758842f74ba28361640db
--
2.34.1